​
Select Service
ves-io-schema-app_type-API-Get
Published April 5, 2023 | Last modified May 28, 2026
Examples of getting app_type
Usecase:
Get object app_type bookinfo
Request using vesctl:
vesctl configuration get app_type bookinfo --namespace shared
vesctl yaml response:
deletedReferredObjects: []disabledReferredObjects: []metadata: annotations: {} labels: {} name: bookinfo namespace: sharedreferringObjects: []resourceVersion: "342"spec: features: - {} - type: TIMESERIES_ANOMALY_DETECTION - type: PER_REQ_ANOMALY_DETECTIONstatus: []systemMetadata: creationTimestamp: "2026-04-13T01:59:06.050892Z" creatorClass: examplesvc creatorId: examplesvc finalizers: [] labels: {} tenant: acmecorp uid: 729f0c67-d7ad-4ef9-89da-495a67104dcdRequest using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1414723615_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/shared/app_types/bookinfo?response_format=0'curl response:
HTTP/1.1 200 OKContent-Length: 1053Content-Type: application/jsonDate: Mon, 13 Apr 2026 01:59:06 GMTVary: Accept-Encoding
{ "create_form": null, "replace_form": null, "resource_version": "342", "metadata": { "name": "bookinfo", "namespace": "shared", "labels": { }, "annotations": { }, "description": "", "disable": false }, "system_metadata": { "uid": "729f0c67-d7ad-4ef9-89da-495a67104dcd", "creation_timestamp": "2026-04-13T01:59:06.050892Z", "deletion_timestamp": null, "modification_timestamp": null, "initializers": null, "finalizers": [ ], "tenant": "acmecorp", "creator_class": "examplesvc", "creator_id": "examplesvc", "object_index": 0, "owner_view": null, "labels": { } }, "spec": { "features": [ { "type": "BUSINESS_LOGIC_MARKUP" }, { "type": "TIMESERIES_ANOMALY_DETECTION" }, { "type": "PER_REQ_ANOMALY_DETECTION" } ], "business_logic_markup_setting": null }, "status": [ ], "referring_objects": [ ], "deleted_referred_objects": [ ], "disabled_referred_objects": [ ]}